/profile/balance

Fetch user balance information.

↗ Open in API Explorer
GET

Get Balance

Fetch user balance information.

Request

Endpoint: GET https://api.outscraper.cloud/profile/balance

Responses

200

application/json

Profile Balance.

{
  "balance": 1905.01,
  "account_status": "valid",
  "upcoming_invoice": {
    "amount_due": 0,
    "applied_balance": 0,
    "total": 0,
    "subtotal": 0,
    "currency": "usd",
    "total_discount": 0,
    "period_start": 1654784241,
    "period_end": 1657376241,
    "collection_method": "charge_automatically",
    "products_lines": [
      {
        "product_name": "Google Maps Data",
        "unit": "place",
        "quantity": 382,
        "amount": 0,
        "lines": [
          {
            "quantity": 382,
            "amount": 0,
            "currency": "usd",
            "unit_price": "$0.00"
          }
        ]
      },
      {
        "product_name": "Domains",
        "unit": "domain",
        "quantity": 316,
        "amount": 0,
        "lines": [
          {
            "quantity": 316,
            "amount": 0,
            "currency": "usd",
            "unit_price": "$0.00"
          }
        ]
      }
    ],
    "subscription_id": "sub_ID"
  },
  "coupon": {},
  "id": "cus_ID"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/profile/balance" -H  "X-API-KEY: YOUR-API-KEY"

Related Endpoints